Skip to main content
GET
Returns a list of vector store files in a batch.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vector_store_id
string
required

The ID of the vector store that the files belong to.

batch_id
string
required

The ID of the file batch that the files belong to.

Query Parameters

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

order
enum<string>
default:desc

Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.

Available options:
asc,
desc
after
string

A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

before
string

A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

filter
enum<string>

Filter by file status. One of in_progress, completed, failed, cancelled.

Available options:
in_progress,
completed,
failed,
cancelled

Response

200 - application/json

OK

object
string
required
Example:

"list"

data
Vector store files · object[]
required
first_id
string
required
Example:

"file-abc123"

last_id
string
required
Example:

"file-abc456"

has_more
boolean
required
Example:

false